Bug 193081 - selinux-policy-targeted-2.2.40-1.fc5 installation fails
selinux-policy-targeted-2.2.40-1.fc5 installation fails
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-24 20:14 EDT by Steve Forsythe
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 16:00:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Forsythe 2006-05-24 20:14:01 EDT
Description of problem:

Yum installation of selinux-policy-targeted-2.2.40-1.fc5 fails:
  Updating  : selinux-policy-targeted      ####################### [15/36]
Traceback (most recent call last):
  File "/usr/sbin/genhomedircon", line 373, in ?
    selconf.write()
  File "/usr/sbin/genhomedircon", line 334, in write
    fd.write(self.genoutput())
  File "/usr/sbin/genhomedircon", line 321, in genoutput
    for h in self.getHomeDirs():
  File "/usr/sbin/genhomedircon", line 311, in getHomeDirs
    if self.checkExists(homedir) == 1:
  File "/usr/sbin/genhomedircon", line 287, in checkExists
    regex = i.split()[0]
IndexError: list index out of range
libsemanage.semanage_install_sandbox: genhomedircon returned error code 1.

genhomedir is attempting to process
/etc/selinux/targeted/contexts/files/file_contexts,
when it fails. This file is corrupted with stuff like:

########################################
#
# Macros for switching between source policy
# and loadable policy module support
#

The corrupted file is apparently generated by the semodule command in the
post-install script. The only .pp files in /usr/share/selinux/targeted are
base.pp, clamav.pp, and enableaudit.pp, so the semodule command is:

  semodule -b base.pp -i clamav.pp -s targeted

Running this by hand results in the corrupted file_contexts and the
genhomedircon error. Running it without the -i clamav.pp appears to correct the
problem.

Version-Release number of selected component (if applicable):

selinux-policy-targeted-2.2.40-1.fc5

How reproducible:


Steps to Reproduce:
1. Yum install selinux-policy-targeted-2.2.40-1.fc5
2. Or after installation: semodule -b base.pp -i clamav.pp -s targeted
3.
  
Actual results:

Corrupted file_contexts and error in genhomedircon

Expected results:

Clean installation


Additional info:
Comment 1 Daniel Walsh 2006-05-25 08:59:33 EDT
Fixed in policycoreutils-1.30.10-1.fc5
Comment 2 Daniel Walsh 2007-03-28 16:00:58 EDT
Closing bugs

Note You need to log in before you can comment on or make changes to this bug.